Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: martin rudalics <[email-masked]>
Date: Sat, 25 Jan 2014 10:23:18 +0100

>> With current trunk and emacs -Q evaluating the following form takes more
 >> than two minutes here with builds on Windows and GNU/Linux:
 >
 >> (progn
 >>   (setq scroll-conservatively 101)
 >>   (find-file (concat source-directory "src/xdisp.c"))
 >>   (end-of-buffer)
 >>   (sit-for 3)
 >>   (beginning-of-buffer))
 >
 >> It used to take about 10 seconds before revision 116070.
 >
 > It's taking me about 7 seconds, on an Emacs version whose latest applied
 > revision is 116070.
 >
 > Quick update to current (latest revision 116146), and rebuild .......
 >
 > It's still taking me about 7 seconds.

Updated to revision 116153, bootstrapped (at least one hour on my
machine), still taking more than two minutes here.

 > As far as I can see, you haven't
 > installed your temporary patch to syntax.c.

I'm afraid I have to do that now.

 > So, I haven't been able to
 > reproduce the problem yet.
 >
 > Is there something more subtle I'm missing?

Is there something more subtle I'm missing?

 > [P.S. isn't it good that we can use revision numbers to identify
 > approximate ages of repository states. ;-]

It didn't help so far in this case ...

martin